Notes

Notes are free-form records for capturing observations, tool outputs, and context. Each note can optionally reference the tool that produced it, along with the arguments used.

Service: firetiger.notes.v1.NotesService

Resource name pattern: notes/{note_id}

Access: Read-write

Resource type: Note

Example flow

Create a couple of notes to capture tool outputs, then list them.

1. Create a note from a health check tool

curl -X POST "https://api.ft-scaletowin.firetigerapi.com/firetiger.notes.v1.NotesService/CreateNote" \
  -u "$USERNAME:$PASSWORD" \
  -H "Content-Type: application/json" \
  -d '{
    "note_id": "deploy-check-2024-06-15",
    "note": {
      "display_name": "Post-deploy health check",
      "notes": "All endpoints returning 200. P99 latency stable at 120ms.",
      "description": "Routine check after v2.4 rollout",
      "tool_name": "health_check",
      "tool_args": {"environment": "production", "timeout_seconds": 30}
    }
  }'
{
  "note": {
    "name": "notes/deploy-check-2024-06-15",
    "displayName": "Post-deploy health check",
    "notes": "All endpoints returning 200. P99 latency stable at 120ms.",
    "description": "Routine check after v2.4 rollout",
    "toolName": "health_check",
    "toolArgs": {"environment": "production", "timeoutSeconds": 30},
    "createTime": "2024-06-15T14:30:00Z",
    "updateTime": "2024-06-15T14:30:00Z"
  }
}

2. Create a second note from a query tool

curl -X POST "https://api.ft-scaletowin.firetigerapi.com/firetiger.notes.v1.NotesService/CreateNote" \
  -u "$USERNAME:$PASSWORD" \
  -H "Content-Type: application/json" \
  -d '{
    "note_id": "error-spike-analysis",
    "note": {
      "display_name": "Error spike analysis",
      "notes": "Spike in 5xx errors between 14:00-14:15 UTC traced to a bad config push. Rolled back at 14:12.",
      "tool_name": "log_query",
      "tool_args": {"query": "status >= 500", "time_range": "1h"}
    }
  }'
{
  "note": {
    "name": "notes/error-spike-analysis",
    "displayName": "Error spike analysis",
    "notes": "Spike in 5xx errors between 14:00-14:15 UTC traced to a bad config push. Rolled back at 14:12.",
    "toolName": "log_query",
    "toolArgs": {"query": "status >= 500", "timeRange": "1h"},
    "createTime": "2024-06-15T14:35:00Z",
    "updateTime": "2024-06-15T14:35:00Z"
  }
}

3. List notes filtered by tool

curl -X POST "https://api.ft-scaletowin.firetigerapi.com/firetiger.notes.v1.NotesService/ListNotes" \
  -u "$USERNAME:$PASSWORD" \
  -H "Content-Type: application/json" \
  -d '{"filter": "tool_name = \"health_check\"", "page_size": 25}'
{
  "notes": [
    {
      "name": "notes/deploy-check-2024-06-15",
      "displayName": "Post-deploy health check",
      "notes": "All endpoints returning 200. P99 latency stable at 120ms.",
      "description": "Routine check after v2.4 rollout",
      "toolName": "health_check",
      "toolArgs": {"environment": "production", "timeoutSeconds": 30},
      "createTime": "2024-06-15T14:30:00Z",
      "updateTime": "2024-06-15T14:30:00Z"
    }
  ],
  "nextPageToken": ""
}

Methods

Method Description
CreateNote Create a new note
GetNote Retrieve a note by name
UpdateNote Update an existing note
DeleteNote Soft-delete a note
ListNotes List notes with filtering and pagination

CreateNote

Create a new note.

POST /firetiger.notes.v1.NotesService/CreateNote

Request body

Field Type Required Description
note_id string Yes ID for the new note (alphanumeric, hyphens, underscores)
note Note Yes The note to create

Example

curl -X POST "https://api.ft-scaletowin.firetigerapi.com/firetiger.notes.v1.NotesService/CreateNote" \
  -u "$USERNAME:$PASSWORD" \
  -H "Content-Type: application/json" \
  -d '{
    "note_id": "deploy-check-2024-06-15",
    "note": {
      "display_name": "Post-deploy health check",
      "notes": "All endpoints returning 200. P99 latency stable at 120ms.",
      "description": "Routine check after v2.4 rollout",
      "tool_name": "health_check",
      "tool_args": {"environment": "production", "timeout_seconds": 30}
    }
  }'

Response

{
  "note": {
    "name": "notes/deploy-check-2024-06-15",
    "displayName": "Post-deploy health check",
    "notes": "All endpoints returning 200. P99 latency stable at 120ms.",
    "description": "Routine check after v2.4 rollout",
    "toolName": "health_check",
    "toolArgs": {"environment": "production", "timeoutSeconds": 30},
    "createTime": "2024-06-15T14:30:00Z",
    "updateTime": "2024-06-15T14:30:00Z"
  }
}

GetNote

Retrieve a note by name.

POST /firetiger.notes.v1.NotesService/GetNote

Request body

Field Type Required Description
name string Yes Resource name of the note

Example

curl -X POST "https://api.ft-scaletowin.firetigerapi.com/firetiger.notes.v1.NotesService/GetNote" \
  -u "$USERNAME:$PASSWORD" \
  -H "Content-Type: application/json" \
  -d '{"name": "notes/deploy-check-2024-06-15"}'

UpdateNote

Update an existing note. Use update_mask to specify which fields to modify.

POST /firetiger.notes.v1.NotesService/UpdateNote

Request body

Field Type Required Description
note Note Yes The note with name set and updated fields
update_mask string No Comma-separated list of fields to update. If omitted, all provided fields are updated.

Example

curl -X POST "https://api.ft-scaletowin.firetigerapi.com/firetiger.notes.v1.NotesService/UpdateNote" \
  -u "$USERNAME:$PASSWORD" \
  -H "Content-Type: application/json" \
  -d '{
    "note": {
      "name": "notes/deploy-check-2024-06-15",
      "notes": "All endpoints returning 200. P99 latency stable at 120ms. Confirmed no error rate increase after 1 hour."
    },
    "update_mask": "notes"
  }'

DeleteNote

Soft-delete a note. The resource will still be accessible via Get but excluded from List results unless show_deleted is set.

POST /firetiger.notes.v1.NotesService/DeleteNote

Request body

Field Type Required Description
name string Yes Resource name of the note to delete

Example

curl -X POST "https://api.ft-scaletowin.firetigerapi.com/firetiger.notes.v1.NotesService/DeleteNote" \
  -u "$USERNAME:$PASSWORD" \
  -H "Content-Type: application/json" \
  -d '{"name": "notes/deploy-check-2024-06-15"}'

ListNotes

List notes with optional filtering and pagination.

POST /firetiger.notes.v1.NotesService/ListNotes

Request body

Field Type Required Description
filter string No Filter expression
order_by string No Field to sort by (e.g. create_time desc)
page_size integer No Maximum results per page
page_token string No Token for the next page of results
show_deleted boolean No Include soft-deleted notes

Example

curl -X POST "https://api.ft-scaletowin.firetigerapi.com/firetiger.notes.v1.NotesService/ListNotes" \
  -u "$USERNAME:$PASSWORD" \
  -H "Content-Type: application/json" \
  -d '{"filter": "tool_name = \"health_check\"", "page_size": 25}'

Response

{
  "notes": [
    {
      "name": "notes/deploy-check-2024-06-15",
      "displayName": "Post-deploy health check",
      "notes": "All endpoints returning 200. P99 latency stable at 120ms.",
      "description": "Routine check after v2.4 rollout",
      "toolName": "health_check",
      "toolArgs": {"environment": "production", "timeoutSeconds": 30},
      "createTime": "2024-06-15T14:30:00Z",
      "updateTime": "2024-06-15T14:30:00Z"
    }
  ],
  "nextPageToken": ""
}

This site uses Just the Docs, a documentation theme for Jekyll.